import java.util.*;
import java.io.*;
import java.math.*;

public class forbidden_words_ik implements Runnable {
	static final String PROBLEM_NAME = "forbidden-words";

	final int LET = 26;
	final int LOG_LOG = 5;
	final int LOG_S = LET - LOG_LOG;
	final int MAX_S = 1 << LOG_S;
	final int MED = 16;
	final int BITS16 = 1 << MED;

	final int C0 = 0x55555555;
	final int C1 = 0x33333333;
	final int C2 = 0x0F0F0F0F;
	final int C3 = 0x00FF00FF;
	final int C4 = 0x0000FFFF;

	int [] f;
	int [] hi;
	int [] lo;
	
	void prepare_shift (int [] arr, int shift) {
		for (int i = 0; i < BITS16; i++) {
			int x = i << shift;
			for (int j = shift + MED - 1; j >= shift; j--) {
				if ((x & (1 << j)) == 0) {
					for (int k = 0; k < LOG_LOG; k++) {
						if ((j & (1 << k)) > 0) {
							x |= 1 <<
							     (j ^ (1 << k));
						}
					}
				}
			}
			arr[i] = x;
		}
	}

	void prepare () {
		prepare_shift (hi, 16);
		prepare_shift (lo,  0);
	}

	boolean solve () {
	        for (int i = 0; i < MAX_S; i++) {
			f[i] |= (f[i] & C0) <<  1;
			f[i] |= (f[i] & C1) <<  2;
			f[i] |= (f[i] & C2) <<  4;
			f[i] |= (f[i] & C3) <<  8;
			f[i] |= (f[i] & C4) << 16;
			for (int j = 0; j < LOG_S; j++) {
				if ((i & (1 << j)) > 0) {
					f[i] |= f[i ^ (1 << j)];
				}
			}
		}
	
		for (int i = MAX_S - 1; i >= 0; i--) {
			f[i] |= hi[f[i] >>> MED];
			f[i] |= lo[f[i] & (BITS16 - 1)];
	
			int t = ~f[i];
			for (int j = 0; j < LOG_S; j++) {
				if ((i & (1 << j)) > 0) {
					f[i ^ (1 << j)] |= t;
				}
			}
		}

		return (f[0] & 1) > 0;
	}

	public void run () {
		f = new int [MAX_S];
		hi = new int [BITS16];
		lo = new int [BITS16];
		prepare ();

		try {
			BufferedReader in =
				new BufferedReader
				(new InputStreamReader
				(new FileInputStream
				(PROBLEM_NAME + ".in")));
			PrintStream out =
				new PrintStream
				(new BufferedOutputStream
				(new FileOutputStream
				(PROBLEM_NAME + ".out")));

		 	int n = Integer.parseInt (in.readLine ());
			Arrays.fill (f, 0);
			for (int i = 0; i < n; i++) {
				String t = in.readLine ();
				int s = 0;
				for (int j = 0; j < t.length (); j++) {
					int d = t.charAt (j) - 'a';
					s |= 1 << d;
				}
				f[s >> 5] |= 1 << (s & 31);
			}

			out.println (solve () ? "First" : "Second");

			in.close ();
			out.close ();
		}
		catch (Throwable e) {
			e.printStackTrace ();
			System.exit (1);
		}
	}

	
	public static void main (String [] args) {
		new Thread (new forbidden_words_ik ()).start ();
	}
}
